Redmine - Feature #2275

provide a nice url for each project, with configurable redirect
2008-12-04 17:43 - Thomas Capricelli

Status: Closed Start date: 2008-12-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

It would be nice (though i admit this would not be a core feature) to be able to have this kind of url:
http://www.myredminesite.org/projectname

instead of the not-very-great-from-a-marketing-point-of-view
when http://www.myredminesite.org/projects/show/projectname

Ideally this "nice project url" could be redirected to any page (wiki page, outside url, overview page...). | guess the default should be
the project overview page.

(yes, this can be done from apache redirect stuff of course)

Related issues:
Related to Redmine - Patch #1901: RESTful URLs for everything Closed 2008-09-15

History

#1 - 2008-12-10 06:58 - Eric Davis

Issue #1901 will provide RESTful urls for most of Redmine which would change the url to http:/www.myredminesite.org/project/projectname. Markus
Knittig has started on the refactoring in #1901 and #296 on Github. I'm planning on reviewing the patches and pulling them into the core after 0.8 is
released.

#2 - 2008-12-10 08:18 - Markus Knittig

But | have to say that not all URLs will be "nicer". The wiki name will likely be longer (/project/projectname/wiki/wikipage instead of
/wiki/projectname/wikipage )...

#3 - 2008-12-10 12:22 - Thomas Capricelli

Well, | was not requesting the other URLs to change. Just that this new one be added to provide nice links for the project. See that as an 'alias' in
apache.
But it seems the RESTfull stuff would indeed be a big step toward what I'm asking for.

#4 - 2009-01-07 14:30 - Gerrit Kaiser

If there is interest, | can easily change my patch (#1901) to generate urls like /ecookbook/issues, /ecookbook/wiki/page etc. That would not strictly
follow Rails' URL conventions, but | think its well worth it for added readability. It would not preclude a Rails-style API for projects either (there would
still be a /projects collection for managing them)

#5 - 2009-01-26 02:55 - Eric Davis
- Status changed from New to Closed

- Resolution set to Wont fix

Gerrit Kaiser wrote:
That would not strictly follow Rails' URL conventions, but | think its well worth it for added readability.
I'd rather keep the urls using Rails' conversions. That will make them easier to figure out for people with experience with Rails and also would make
scripting the urls so much easier (e.g. ActiveResource).
What might be useful is what Thomas said with "(yes, this can be done from apache redirect stuff of course)". Someone could build a plugin that

would allow an administrator to enter urls to handle and destinations for those urls. Then the administrator could decide any url scheme they want
(and override the built in ones for SSO, etc):
http://www.myredminesite.org/projectname
http://www.myredminesite.org/projects/show/projectname
https://www.redmine.org/issues/1901
http://www.myredminesite.org/project/projectname
https://www.redmine.org/issues/1901
https://www.redmine.org/issues/296
https://www.redmine.org/issues/1901

Example:

® /projectname => /project/projectname
¢ /login => https://single.sign.on.server.com/login.aspx?cmd=login_from_redmine
® / => /wiki/redmine/Overview

Thomas, would that be a good solution for you?

#6 - 2009-01-26 12:04 - Thomas Capricelli

Yes, the plugin would be really great. What | dont like with the apache redirect idea it that one (or several) new redirect rules need to be added by the
apache administrator for each new project.

If it is possible to do that for the redmine admin (as opposed to the apache admin) through a plugin, that would be fine.

Also, the recently commited #1901 probably answers at least partially to this need (see comment 9 for #1901), i still need to test it.

Thanks
